slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVMatMultType

Different ways of performing the BVMatMult() operation

### Synopsis

    typedef enum { BV_MATMULT_VECS,
                   BV_MATMULT_MAT,
                   BV_MATMULT_MAT_SAVE } BVMatMultType;

### Notes

Allowed values are

| BV_MATMULT_VECS | - perform a matrix-vector multiply per each column
| BV_MATMULT_MAT | - carry out a Mat-Mat product with a dense matrix
| BV_MATMULT_MAT_SAVE | - this case is deprecated

The default is BV_MATMULT_MAT except in the case of BVVECS.

### See Also

BVSetMatMultMethod(), BVMatMult()

### Level

advanced

### Location

include/slepcbv.h
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages